USB_GADGET_DISCONN(9)

NAME
usb_gadget_disconnect - software-controlled disconnect from USB host

SYNOPSIS

int usb_gadget_disconnect (struct usb_gadget * gadget);

ARGUMENTS

gadget
    the peripheral being disconnected

DESCRIPTION

Disables the D+ (or potentially D-) pullup, which the host may see as a disconnect (when a VBUS session is active). Not all systems support software pullup controls.

This routine may be used during the gadget driver bind call to prevent the peripheral from ever being visible to the USB host, unless later usb_gadget_connect is called. For example, user mode components may need to be activated before the system can talk to hosts.

Returns zero on success, else negative errno.

AUTHOR
David Brownell <dbrownell@users.sourceforge.net>.